Subject: Re: [PATCH 1/1] net/mlx5: query_mcia_reg fail logging at debug severity

From: Jakub Kicinski <[email-masked]>
Date: Wed, 29 Oct 2025 16:33:11 -0700

On Wed, 29 Oct 2025 10:49:24 -0600 Matthew W Carlis wrote:
> On Wed, 29 Oct 2025, Gal Pressman wrote:
> > Allow me to split the discussion to two questions:
> > 1. Is this an error?
> > 2. Should it be logged?
> > 
> > Do we agree that the answer to #1 is yes?
> > 
> > For #2, I think it should, but we can probably improve the situation
> > with extack instead of a print.  
> 
> I think its an 'expected error' if the module is not present. I agree.
> 
> For 2 I think if the user runs "ethtool -m" on a port with no module,
> they received an error message stating something along the lines of
> "module not present" and the kernel didn't have any log messages about
> it that would be near to 'the best' solution. 

I assume you mean error message specifically from the CLI or whatever
API the user is exercising? If so I agree.

The system logs are for fatal / unexpected conditions. AFAIU returning
-EIO is the _expected_ way to find out that module is not plugged in.
If there's a better API I suppose we can make ethtool call it first
to avoid the error.